import { OnInit } from '@angular/core';
import { Subject } from 'rxjs';
import { ThemeService } from '../theme.service';
/**
 * A simple boolean toggle for enabling dark mode.
 * Enabling the toggle sets the theme to `dark`, while disabling sets it to `light`.
 */
export declare class DarkSwitchComponent implements OnInit {
    private themeService;
    theme$: Subject<string | null>;
    constructor(themeService: ThemeService);
    ngOnInit(): void;
}
